#!/usr/bin/wish\
exec wish "$0" "$@"

# Copyright (c) 2002-2008, Botik-Technologies, Ltd.
# See license.txt for more information.

# Настройки, специфичные для данной сети, созданной
# на технологической базе ООО "Ботик-технологии" (http://www.botik.ru).
# Для переноса BotikTools в такую сеть нужно изменить только эти настройки.


# Имя сети:
set ::net(name) "Ботик"

# Домен сети:
set ::net(domain) botik.ru

# Процедура определения "локальности" хоста или email-адреса;
# сделана на основе http://proxy.botik.ru/proxy.config
proc isLocal {host ip} {
    return [expr {[regexp {\.botik\.ru$} $host]
        || [regexp {\@botik\.ru$} $host]
        || [regexp {\.pereslavl\.ru$} $host]
        || [regexp {\@pereslavl\.ru$} $host]
        || [regexp {\.botik\.yaroslavl\.su$} $host]
        || [regexp {\@botik\.yaroslavl\.su$} $host]
        || [regexp {^193\.232\.174\.\d+$} $ip]
        || [regexp {^83\.149\.204\.\d+$} $ip]
        || [regexp {^83\.149\.205\.\d+$} $ip]
        || [regexp {^217\.15\.133\.4[0-7]$} $ip]
        || [regexp {^217\.15\.139\.12[89]$} $ip]
        || [regexp {^217\.15\.139\.13[0-5]$} $ip]
        || [regexp {^192\.168\.\d+\.\d+$} $ip]
        || [regexp {^127\.0\.0\.\d+$} $ip]}]
}
